Subject: pktgen question

From: Steve Wise <[email-masked]>
Date: Sun, 23 Sep 2007 11:12:12 -0500

The pktgen module provides a way to "clone" the skb its using for 
transmission, and allows passing N clones of the originally created skb 
to the driver under test.    However, it doesn't really use skb_clone(), 
but rather it just bumps the skb->users count for each "clone" and 
passes the same skb ptr to the driver.

Q: Is that a valid use of skb->users or should pktgen really be cloning 
the skbuff?

Thanks,

Steve.